#!/bin/bash
# Copyright (c) 2016-2018 Michael Stauber <mstauber@solarspeed.net>, SOLARSPEED.NET
# All Rights Reserved.
#
# Scripts takes UUID as argument and reports back IPv6 localhost VNC port of Container.

while getopts ":u:" opt; do
  case $opt in
    u) uuid="$OPTARG"
    ;;
    \?) echo "Invalid option -$OPTARG" >&2
    ;;
  esac
done

if [ "$uuid" != "" ];then
	PID=`ps axf|grep /usr/bin/prl_vzvncserver_app|grep $uuid|grep -v grep|cut -d \? -f1|sed 's/ //g'`
else
	echo "You need to specify a VPS UUID:"
	echo "$0 -u <UUID>"
	echo ""
	exit
fi

if [ "$PID" != "" ];then
	PORT=`/usr/sbin/lsof -w -p $PID|grep IPv6|grep LISTEN|cut -d : -f2|cut -d \  -f1`
fi

if [ "$PORT" != "" ];then
	echo $PORT
else
	echo "-1"
fi

exit
